# frozen_string_literal: true

require 'import'
require 'cht-lib-fabric/crns'
require 'user_management/consumers/application_consumer'
require 'user_management/actions/remove_user_from_user_groups'

module UserManagement
  module Consumers
    # Consume inbound CloudHealth User updates
    class Users < ApplicationConsumer
      include Import[:logger, :alert]

      def consume
        ::UserManagement::Helpers::UserGroupHelper.new.cleanup_user_group(params)
      end
    end
  end
end