# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module UserManagement
  module GraphQL
    module Types
      FEDERATED_USER_DESCRIPTION = 'A user in CloudHealth authenticated by our federation broker.'

      class FederatedUser < ::Platform::GraphQL::Types::BaseObject
        field :id, ID, null: false
        field :name, String, null: false
        field :email, String, null: false
        field :customerId, ID, null: false
        field :uid, String, null: false
        field :provider, String, null: true
        field :roleId, ID, null: true
        field :organizationId, ID, null: true
        field :idpRawData, String, null: false
      end
    end
  end
end
