# frozen_string_literal: true

require 'graphql'

module UserManagement
  module GraphQL
    module Types
      MEMBERSHIP_SOURCE_DESCRIPTION = 'The means by which a user was added to a user group.'

      class MembershipSource < ::GraphQL::Schema::Enum
        description MEMBERSHIP_SOURCE_DESCRIPTION
        value 'sso', 'The user was added to this group based on attributes from their identity provider.'
        value 'manual', 'The user was manually assigned to this group by an administrator.'
      end
    end
  end
end
