# frozen_string_literal: true

require 'graphql'
require 'user_management/graph_ql/types/mutations'

module UserManagement
  module GraphQL
    module Types
      class Mutation < ::Platform::GraphQL::Types::BaseObject
        field :add_user_group, mutation: Mutations::AddUserGroup
        field :add_users_to_user_group, mutation: Mutations::AddUsersToUserGroup
        field :remove_users_from_user_group, mutation: Mutations::RemoveUsersFromUserGroup
        field :delete_user_group, mutation: Mutations::DeleteUserGroup
        field :delete_user_groups, mutation: Mutations::DeleteUserGroups
        field :update_user_Group, mutation: Mutations::UpdateUserGroup
        field :upsert_federated_user, mutation: Mutations::UpsertFederatedUser
        field :approve_integration_user, mutation: Mutations::ApproveIntegrationUser
        field :revoke_integration_user, mutation: Mutations::RevokeIntegrationUser
      end
    end
  end
end
