# frozen_string_literal: true

require 'graphql'
require 'active_support/dependencies/autoload'
require 'user_management/stores/ar_models'

module UserManagement
  module GraphQL
    module Types
      module Mutations
        extend ActiveSupport::Autoload

        autoload :AddUserGroup
        autoload :AddUsersToUserGroup
        autoload :DeleteUserGroup
        autoload :DeleteUserGroups
        autoload :RemoveUsersFromUserGroup
        autoload :RequestValidator
        autoload :UpdateUserGroup
        autoload :UpsertFederatedUser
        autoload :ApproveIntegrationUser
        autoload :RevokeIntegrationUser
      end
    end
  end
end
