# frozen_string_literal: true

module UserManagement
    module GraphQL
      module Types
        module Resolvers
          class PlatformUserResolver
            include ::UserManagement::Stores::ShardMixin
            def initialize(value, query_ctx)
              # Store these for later when the value is resolved.
              @value = value
              @query_context = query_ctx
            end
  
            # Call out to check if platform user exists
            def exists
              return false if @value.nil?
              existing = with_master do
                ar = Stores::ArModels::User.with_email_address(@value)
                ar.count
              end
              return existing > 0
            end
          end
        end
      end
    end
  end
  