require 'cht-lib-fabric/dry_types'
require 'dry-struct'
require 'user_management/stores/shard_mixin'
require 'user_management/stores/ar_models'

module UserManagement
  module Models
    class ServiceIntegrationUser < ::Dry::Struct
      attribute :id, ::Platform::DryTypes::Strict::String
      attribute :name, ::Platform::DryTypes::Strict::String
      attribute :description, ::Platform::DryTypes::Strict::String.optional.default(nil)
      attribute :email, ::Platform::DryTypes::Strict::String
      attribute :approved, ::Platform::DryTypes::Bool.optional.default(false)
      attribute :approved_by, ::Platform::DryTypes::String.optional.default(nil)
      attribute :approved_by_user, ::Platform::DryTypes::Instance(::UserManagement::Stores::ArModels::User).optional.default(nil)
      attribute :approved_on, ::Platform::DryTypes::String.optional.default(nil)
      attribute :role_document_id, ::Platform::DryTypes::Strict::String
    end
  end
end
