# frozen_string_literal: true

module UserManagement
    module Utils
      class GroupDiff
        # Returns an array of differences between
        # two arrays of user groups:
        #
        # a = ['A','B','C']
        # b = ['B','C','D']
        # c = ['B','C','D']
        # a - b | b - a
        # ["A", "D"]
        # b - c | c - b
        # []
        def diff(groups_a, groups_b)
          return [] if ( groups_a.nil? || groups_b.nil?)
          groups_a - groups_b | groups_b - groups_a
        end
      end
    end
end
